#include "EudoraTypes.r"
#include "::tabmania.r"

resource 'eTAB' (129, "Home Tab", purgeable) {
	'CSOm',
	'Nick',
	'Home',
	"Home",
	0,
	13,
	13,
	{
			// Object 0
			fieldObject {
					objectFlagAcceptsFocus | objectFlagExportable,
					"address",															// tag
					"Street Address:",											// label
					"Address:",															// Field name
					48,																			// label width
					labelFlushRight, 												// label justification
					labelWrapLabel | labelWrapField,													// label field flags
					peNoStyledPaste,												// PETE flags for the field
					{
							left   {   0, tabObject, relToLeft,  rfDefaultMargin   },		// left coordinate
							top    {  18, tabObject, relToTop,	 rfNone    },		// top coordinate
							right  {   0, tabObject, relToRight, rfNegativeDefaultMargin  },			// right coordinate
							height { kUseTwoLineHeight }
					}
			};

			// Object 1
			fieldObject {
					objectFlagAcceptsFocus | objectFlagExportable,
					"city",																	// tag
					"City:",																// label
					"City:",																// Field name
					48,																			// label width
					labelFlushRight, 												// label justification
					labelNoFlags,														// label field flags
					peNoStyledPaste | peClearAllReturns,		// PETE flags for the field
					{
							left   {   0, tabObject, relToLeft,  	rfDefaultMargin   },		// left coordinate
							top    {   0, 0,				 relToBottom,	rfDefaultMargin	},		// top coordinate
							right  {   0, tabObject, relToHorzCenter, rfNone  },			// right coordinate
							height { kUseOneLineHeight }
					}
			};

			// Object 2
			fieldObject {
					objectFlagAcceptsFocus | objectFlagExportable,
					"state",																// tag
					"State/Province:",											// label
					"State/Province:",											// Field name
					76,																			// label width
					labelFlushRight, 												// label justification
					labelNoFlags,														// label field flags
					peNoStyledPaste | peClearAllReturns,		// PETE flags for the field
					{
							left   {   0, tabObject, relToHorzCenter,  	rfDefaultMargin   },		// left coordinate
							top    {   0, 0,				 relToBottom,	rfDefaultMargin	},		// top coordinate
							right  {   0, tabObject, relToRight, rfNegativeDefaultMargin  },			// right coordinate
							height { kUseOneLineHeight }
					}
			};

			// Object 3
			fieldObject {
					objectFlagAcceptsFocus | objectFlagExportable,
					"country",															// tag
					"Country:",															// label
					"Country:",															// Field name
					48,																			// label width
					labelFlushRight, 												// label justification
					labelNoFlags,														// label field flags
					peNoStyledPaste | peClearAllReturns,		// PETE flags for the field
					{
							left   {   0, 1, 				 relToLeft,  	rfNone   },	// left coordinate
							top    {   0, 1,				 relToBottom,	rfDefaultMargin	},		// top coordinate
							right  {   0, 1, 				 relToRight, rfNone  },							// right coordinate
							height { kUseOneLineHeight }
					}
			};

			// Object 4
			fieldObject {
					objectFlagAcceptsFocus | objectFlagExportable,
					"zip",																	// tag
					"Zip/Postal Code:",											// label
					"Zip/Postal Code:",											// Field name
					76,																			// label width
					labelFlushRight, 												// label justification
					labelNoFlags,														// label field flags
					peNoStyledPaste | peClearAllReturns,		// PETE flags for the field
					{
							left   {   0, 2, relToLeft,  	rfNone   },		// left coordinate
							top    {   0, 2,				 relToBottom,	rfDefaultMargin	},		// top coordinate
							right  {   0, 2, relToRight, rfNone  },			// right coordinate
							height { kUseOneLineHeight }
					}
			};

			// Object 5
			controlObject {
					objectFlagNone,
					"",
					"",
					"",
					0, 0, 0, kControlSeparatorLineProc, 0, coNone, noBehavior, "", "",
					{
							left   { 0, 3, relToLeft,  	rfNone   },		// left coordinate
							top    { 0, 3, relToBottom,  	rfDefaultMargin   },		// left coordinate
							right  { 0, 4, relToRight, rfNone },
							height { 2 }
					}
			};

			// Object 6
			fieldObject {
					objectFlagAcceptsFocus | objectFlagExportable,
					"phone",																// tag
					"Phone:",																// label
					"Phone:",																// Field name
					48,																			// label width
					labelFlushRight, 												// label justification
					labelNoFlags,														// label field flags
					peNoStyledPaste | peClearAllReturns,		// PETE flags for the field
					{
							left   {   0, 3, relToLeft,  	rfNone   },		// left coordinate
							top    {   0, 5,				 relToBottom,	rfDefaultMargin	},		// top coordinate
							right  {   0, 3, relToRight, rfNone  },			// right coordinate
							height { kUseOneLineHeight }
					}
			};

			// Object 7
			fieldObject {
					objectFlagAcceptsFocus | objectFlagExportable,
					"fax",																	// tag
					"Fax:",																	// label
					"Fax:",																	// Field name
					0,																			// label width
					labelFlushRight, 												// label justification
					labelAutoSize,														// label field flags
					peNoStyledPaste | peClearAllReturns,		// PETE flags for the field
					{
							left   {   0, 6, relToRight,  	rfDefaultMargin   },		// left coordinate
							top    {   0, 6,				 relToTop,	rfNone	},		// top coordinate
							right  {   0, 4, relToRight, rfNone  },			// right coordinate
							height { kUseOneLineHeight }
					}
			};

			// Object 8
			fieldObject {
					objectFlagAcceptsFocus | objectFlagExportable,
					"mobile",																// tag
					"Mobile:",															// label
					"Mobile:",															// Field name
					48,																			// label width
					labelFlushRight, 												// label justification
					labelNoFlags,														// label field flags
					peNoStyledPaste | peClearAllReturns,		// PETE flags for the field
					{
							left   {   0, 6, relToLeft,  	rfNone   },		// left coordinate
							top    {   0, 6,				 relToBottom,	rfDefaultMargin	},		// top coordinate
							right  {   0, 6, relToRight, rfNone  },			// right coordinate
							height { kUseOneLineHeight }
					}
			};

			// Object 9
			controlObject {
					objectFlagNone,
					"",
					"Swap with Work",
					"",
					0, 0, 1, kControlPushButtonProc, 0, coFit, swapHomeWorkBehavior, "Home", "Work",
					{
							left   { 0, tabObject, relToLeft,  	rfDefaultMargin   },		// left coordinate
							bottom { 0, tabObject, relToBottom, rfNegativeDefaultMargin }			// bottom coordinate
					}
			};

			// Object 10
			controlObject {
					objectFlagNone,
					"primary",
					"Primary Information",
					"",
					0, 0, 1, kControlCheckBoxProc, 0, coFit, primaryCheckboxBehavior, "home", "",
					{
							right  { 0, tabObject, relToRight,  	rfNegativeDefaultMargin   },		// right coordinate
							bottom { 0, tabObject, relToBottom,  	rfNegativeDefaultMargin   }			// bottom coordinate
					}
			};

			// Object 11
			fieldObject {
					objectFlagAcceptsFocus | objectFlagExportable,
					"aim",															// tag
					"iChat:",															// label
					"iChat:",															// Field name
					0,																			// label width
					labelFlushRight, 												// label justification
					labelAutoSize,														// label field flags
					peNoStyledPaste | peClearAllReturns,		// PETE flags for the field
					{
							left   {   0, 6, relToRight,  	rfDefaultMargin   },		// left coordinate
							top    {   0, 6,				 relToBottom,	rfDefaultMargin	},		// top coordinate
							right  {   0, 4, relToRight, rfNone  },			// right coordinate
							height { kUseOneLineHeight }
					}
			};
			
			// Object 12
			fieldObject {
					objectFlagAcceptsFocus | objectFlagExportable,
					"web",																	// tag
					"Web:",																	// label
					"Web:",																	// Field name
					48,																			// label width
					labelFlushRight, 												// label justification
					labelAutoSizeFieldHeight | labelWrapField,								// label field flags
					peNoStyledPaste,												// PETE flags for the field
					{
							left   {   0, 8, relToLeft,  	rfNone   },									// left coordinate
							top    {   0, 8,				 relToBottom,	rfDefaultMargin	},	// top coordinate
							right  {   0, 7, relToRight, rfNone  },										// right coordinate
							bottom {  0, 9, relToTop, rfNegativeDefaultMargin	}			// bottom coordinate
					}
			}
	}
};
