#include "EudoraTypes.r"
#include "::tabmania.r"

resource 'eTAB' (128, "Personal Tab", purgeable) {
	'CSOm',
	'Nick',
	'Pers',							// Personal
	"Personal",
	0,
	12,
	12,
	{
			// Object 0
			fieldObject {
					objectFlagAcceptsFocus | objectFlagExportable,
					"name",																	// tag
					"Full Name:",														// label
					"Name:",																// Field name
					0,																			// label width
					labelFlushLeft, 												// label justification
					labelAutoSize,													// label field flags
					peNoStyledPaste | peClearAllReturns,		// PETE flags for the field
					{
							left   {  24, tabObject, relToLeft,  rfNone   },		// left coordinate
							top    {  18, tabObject, relToTop,	 rfNone    },		// top coordinate
							right  { -24, tabObject, relToRight, rfNone  },			// right coordinate
							height { kUseOneLineHeight }
					}
			};

			// Object 1
			fieldObject {
					objectFlagAcceptsFocus | objectFlagExportable,
					"first",																// tag
					"First Name:",													// label
					"First:",																// Field name
					kUseOneLineHeight,											// label width (indicating the height of the PETE)
					labelFlushLeft, 												// label justification
					labelDisplayAboveField,									// label field flags
					peNoStyledPaste | peClearAllReturns,		// PETE flags for the field
					{
							left   {   0, tabObject, relToLeft,				rfDefaultMargin	},		// left coordinate
							top    {   0, 0,				 relToBottom,			rfDefaultMargin	},		// top coordinate
							right  { -22, tabObject, relToHorzCenter, rfNone					},		// right coordinate
							height { kUseOneLineHeight }
					}
			};

			// Object 2
			fieldObject {
					objectFlagAcceptsFocus | objectFlagExportable,
					"last",																	// tag
					"Last Name:",														// label
					"Last:",																// Field name
					kUseOneLineHeight,											// label width (indicating the height of the PETE)
					labelFlushLeft, 												// label justification
					labelDisplayAboveField,									// label field flags
					peNoStyledPaste | peClearAllReturns,		// PETE flags for the field
					{
							left   { 22, tabObject, relToHorzCenter, rfNone										},		// left coordinate
							top    {  0, 0,					relToBottom,		 rfDefaultMargin					},		// top coordinate
							right  {  0, tabObject, relToRight,			 rfNegativeDefaultMargin	},		// right coordinate
							height { kUseOneLineHeight }
					}
			};

			// Object 3
			controlResourceObject {
					objectFlagNone,
					"",																				// no tag
					"",																				// Field name
					1163,																			// 'CNTL' resource
					swapFirstLastBehavior,										// Swap a couple of fields on this tab
					"first",
					"last",
					{
								horizontal	{ alignCenter, tabObject, rfNone },
								vertical		{ alignCenter, 1,					rfPETEPart }
					}
			};

			// Object 5
			fieldObject {
					objectFlagAcceptsFocus | objectFlagExportable,
					"email",																										// tag
					"This nickname will expand to the following address(es):",	// label
					"Address(es):",																							// Field name
					0,																													// label height (and we don't care)
					labelFlushLeft, 																						// label justification
					labelDisplayAboveField | labelAutoSizeFieldHeight | labelWrapField,					// label field flags
					peVScroll | peNoStyledPaste,																								// PETE flags for the field
					{
							left   {  0, tabObject, relToLeft,	 rfDefaultMargin					},		// left coordinate
							top    {  0, 1,					relToBottom, rfDefaultMargin					},		// top coordinate
							right  {  0, tabObject, relToRight,	 rfNegativeDefaultMargin	},		// right coordinate
							bottom {  0, tabObject, relToBottom, rfNegativeDefaultMargin	}			// bottom coordinate
					}
			}
	}
};
