#include "Controls.r"
#include "Dialogs.r"
#include "aete.r"
#include ":include:EudoraTypes.r"
#include "mappings.r"
#include "SMTP.r"
#include "Version.r"
#include "StringDefs.strn"
#include "StrnDefs.strn"
#include "acap.r"
#include "text.r"
#include ":AddressBookTabs:personalTab.r"
#include ":AddressBookTabs:homeTab.r"
#include ":AddressBookTabs:workTab.r"
#include ":AddressBookTabs:otherTab.r"
#include ":AddressBookTabs:notesTab.r"
#include ":AddressBookTabs:photoTab.r"

#define teFlushRight -1 					/*flush right for all scripts */

resource 'SIZE' (1) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	isDisplayManagerAware,
	reserved,
	reserved,
	14680064,
	13631488
};



resource 'STR#' (900,purgeable) { {
	"",
	"n",
	"",
	"",
	"",
	"",
	"",
	"",
	"y",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"y",
	"",
	"",
	"y",
	"1",
	"",
	"",
	"y",
} };

resource 'STR#' (700,purgeable) { {
	"n",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"",
	"y",
} };

resource 'STR#' (20100,purgeable) {{ "" }};

resource 'STR#' (3400, purgeable) { /* headers ALWAYS to ignore */
  {"from "}
};

resource 'STR#' (3800, purgeable) { /* RFC 822 month abbreviations */
  {"Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"}
};

resource 'STR#' (4000, purgeable) { /* RFC 822 weekday abbreviations */
	{"Sun","Mon","Tue","Wed","Thu","Fri","Sat"}
};

resource 'STR#' (24400, purgeable) { /* headers to snarf for Sender in summary */
	{"from:","reply-to:","sender:"}
};

#ifdef CTB
resource 'STR#' (2400, purgeable) {  /* default navin resource */
	{"\n\n\n"}
};
#endif

resource 'STR#' (800, purgeable) /* password changing */
{{
	"user %p%p","pass %p%p","newpass %p%p","quit%p%p"
}};

resource 'STR#' (600, purgeable) {
	{
		/* [1] */
		"(Highest)",
		/* [2] */
		"(High)",
		/* [3] */
		"(Normal)",
		/* [4] */
		"(Low)",
		/* [5] */
		"(Lowest)",
		"\nMessage is extremely urgent.",
		"\nMessage is an important message.",
		"",
		"\nMessage deemed of lesser importance.",
		"\nMessage is very unimportant."
	}
};

#ifdef DEBUG
resource 'MENU' (1509) { 509, textMenuProc, allEnabled, enabled,
	"Db",
	{	/* array: 16 elements */
		/* 1 */	"0 No offscreen bm's",	noIcon, noKey, noMark, plain,
		/* 2 */	"1 PeteBusy",						noIcon, noKey, noMark, plain,
		/* 3 */	"2 Serial #'s",			noIcon, noKey, noMark, plain,
		/* 4 */	"3 Random Nicknames Events",	noIcon, noKey, noMark, plain,
		/* 5 */	"4 Fast ad scheduling",	noIcon, noKey, noMark, plain,
		/* 6 */	"5 No Double-buffs",		noIcon, noKey, noMark, plain,
		/* 7 */	"6 Repeat Mailchecks",					noIcon, noKey, noMark, plain,
		/* 8 */	"7 Show arrival times",							noIcon, noKey, noMark, plain,
		/* 9 */	"8 UseResFile",			noIcon, noKey, noMark, plain,
		/* 10 */	"9 No Temp Mem",				noIcon, noKey, noMark, plain,
		/* 11 */	"10 Menu Profile",					noIcon, noKey, noMark, plain,
		/* 12 */	"11 Facetime accelerator",			  		noIcon, noKey, noMark, plain,
		/* 13 */ 	"12 ports +10000",				noIcon, noKey, noMark, plain,
		/* 14 */	"13 4X TCP Buffer",			noIcon, noKey, noMark, plain,
		/* 15 */	"14 Visible composition",			noIcon, noKey, noMark, plain,
		/* 16 */	"15 Message fetch trace",						noIcon, noKey, noMark, plain,
		/* 17 */	"-",	noIcon, noKey, noMark, plain,
		/* 18 */	"Debugger!",	noIcon, noKey, noMark, plain,
		/* 19 */	"Collect IMAP message flags",	noIcon, noKey, noMark, plain,
		/* 20 */	"Reset Leaks",	noIcon, noKey, noMark, plain,
		/* 21 */	"Ads",	noIcon, hierarchicalMenu, noMark, plain,
		/* 22 */	"Assign a command key",	noIcon, noKey, noMark, plain,
		/* 23 */	"Test spooler",	noIcon, noKey, noMark, plain,
		/* 24 */	"Dump win->pte",	noIcon, noKey, noMark, plain,
		/* 25 */	"Debug Nagging",	noIcon, noKey, noMark, plain,
		/* 26 */	"Dump Control Hierarchy",	noIcon, noKey, noMark, plain,
		/* 27 */	"Toggle ad window",	noIcon, noKey, noMark, plain,
		/* 28 */	"Audit Now", noIcon, noKey, noMark, plain,
		/* 29 */	"Test Matching", noIcon, noKey, noMark, plain,
		/* 30 */	"Add email received stat", noIcon, noKey, noMark, plain,
		/* 31 */	"Add email sent stat", noIcon, noKey, noMark, plain,
	}
};

resource 'MENU' (1228) { 228, textMenuProc, allEnabled, enabled,
	"Ad Select",
	{	/* array: 3 elements */
		/* 1 */	"Request new playlist",	noIcon, noKey, noMark, plain,
		/* 2 */	"Reload playlist",						noIcon, noKey, noMark, plain,
		/* 3 */	"Dump playlists",						noIcon, noKey, noMark, plain,
		/* 4 */	"-",						noIcon, noKey, noMark, plain,
	}
};

resource 'STR#' (20800, purgeable) { /* alternate playlist servers */
  {
  	"http://adserver.eudora.com/adjoindev/playlists",
  	"http://adserver.eudora.com/eitanzone/playlists",
  	"http://adserver.eudora.com/chandhokzone/playlists",
  	"http://echo.qualcomm.com/adjoindev/playlists",
  	"http://echo.qualcomm.com/eitanzone/playlists",
  	"http://echo.qualcomm.com/chandhokzone/playlists",
  	"http://echo.qualcomm.com/chandhokzone/plrestore",
  	"http://adserver1.eudora.com/adjoin/playlists",
  	"http://adserver1.eudora.com/eitanzone/playlists",
  	"http://adserver1.eudora.com/chandhokzone/playlists",
  }
};


resource 'DLOG' (1087, purgeable) {
	{61, 72, 289, 412},
	movableDBoxProc,
	visible,
	goAway,
	0x0,
	1087,
	"",
	centerMainScreen
};

resource 'DITL' (1087) {
	{	/* array DITLarray: 14 elements */
		/* [1] */
		{193, 267, 213, 325},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{193, 186, 213, 244},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{161, 24, 177, 180},
		StaticText {
			disabled,
			"Display nag now with ID:"
		},
		/* [4] */
		{161, 189, 177, 264},
		EditText {
			enabled,
			""
		},
		/* [5] */
		{11, 22, 27, 113},
		StaticText {
			disabled,
			"Current State:"
		},
		/* [6] */
		{11, 116, 27, 336},
		RadioButton {
			enabled,
			"Eudora Pro 4 User"
		},
		/* [7] */
		{26, 116, 42, 336},
		RadioButton {
			enabled,
			"Eudora Pro 4 User (Registered)"
		},
		/* [8] */
		{41, 116, 57, 336},
		RadioButton {
			enabled,
			"New User"
		},
		/* [9] */
		{56, 116, 72, 336},
		RadioButton {
			enabled,
			"Paid User"
		},
		/* [10] */
		{71, 116, 87, 336},
		RadioButton {
			enabled,
			"Free User"
		},
		/* [11] */
		{86, 116, 102, 336},
		RadioButton {
			enabled,
			"Adware User"
		},
		/* [12] */
		{101, 116, 117, 336},
		RadioButton {
			enabled,
			"Free User (Registered)"
		},
		/* [13] */
		{116, 116, 132, 336},
		RadioButton {
			enabled,
			"Adware User (Registered)"
		},
		/* [14] */
		{131, 116, 147, 336},
		RadioButton {
			enabled,
			"Deadbeat User"
		}
	}
};

#endif

#ifdef AUTOSIZEDIALOG_DOESNT_WORK_SO_THIS_IS_IFDEFED_OUT
resource 'DITL' (1088, purgeable) {
	{	/* array DITLarray: 10 elements */
		/* [1] */
		{304, 341, 324, 461},
		Button {
			enabled,
			"Generate Info"
		},
		/* [2] */
		{304, 234, 324, 334},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{241, 30, 257, 220},
		CheckBox {
			enabled,
			"Your demographic data"
		},
		/* [4] */
		{257, 30, 273, 220},
		CheckBox {
			enabled,
			"Advertisement information"
		},
		/* [5] */
		{273, 30, 289, 220},
		CheckBox {
			enabled,
			"Non-personal settings"
		},
		/* [6] */
		{241, 230, 257, 440},
		CheckBox {
			enabled,
			"Your Net/Eudora usage"
		},
		/* [7] */
		{257, 230, 273, 440},
		CheckBox {
			enabled,
			"Eudora features you use"
		},
		/* [8] */
		{10, 10, 211, 460},
		Control {
			disabled,
			1139
		},
		/* [9] */
		{26, 30, 208, 450},
		StaticText {
			disabled,
			"~1005"
		},
		/* [10] */
		{222, 10, 295, 460},
		Control {
			disabled,
			1140
		}
	}
};

resource 'DLOG' (1088, purgeable) {
	{0, 0, 332, 470},
	movableDBoxProc,
	invisible,
	goAway,
	0x0,
	1088,
	"",
	centerMainScreen
};

resource 'CNTL' (1139, purgeable) {
	{10, 10, 211, 460},
	0,
	visible,
	0,
	0,
	160,
	'gpbx',
	"Wed like to know how you use Eudora."
};

resource 'CNTL' (1140, purgeable) {
	{222, 10, 295, 460},
	0,
	visible,
	0,
	0,
	160,
	'gpbx',
	"Its OK to transmit statistics regarding:"
};
#else
resource 'DITL' (1088, purgeable) {
	{	/* array DITLarray: 10 elements */
		/* [1] */
		{305, 341, 325, 461},
		Button {
			enabled,
			"Generate Info"
		},
		/* [2] */
		{305, 234, 325, 334},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{223, 10, 296, 460},
		Control {
			disabled,
			1140
		},
		/* [4] */
		{242, 30, 258, 220},
		CheckBox {
			enabled,
			"Your demographic data"
		},
		/* [5] */
		{258, 30, 274, 220},
		CheckBox {
			enabled,
			"Advertisement information"
		},
		/* [6] */
		{274, 30, 290, 220},
		CheckBox {
			enabled,
			"Non-personal settings"
		},
		/* [7] */
		{242, 230, 258, 440},
		CheckBox {
			enabled,
			"Your Net/Eudora usage"
		},
		/* [8] */
		{258, 230, 274, 440},
		CheckBox {
			enabled,
			"Eudora features you use"
		},
		/* [9] */
		{10, 10, 221, 460},
		Control {
			disabled,
			1139
		},
		/* [10] */
		{26, 30, 209, 450},
		StaticText {
			disabled,
			"~1005"
		}
	}
};

resource 'DLOG' (1088, purgeable) {
	{49, 8, 382, 478},
	movableDBoxProc,
	invisible,
	goAway,
	0x0,
	1088,
	"",
	centerMainScreen
};

resource 'CNTL' (1139, purgeable) {
	{10, 20, 212, 470},
	0,
	visible,
	0,
	0,
	160,
	'gpbx',
	"Wed like to know how you use Eudora."
};

resource 'CNTL' (1140, purgeable) {
	{59, 20, 132, 470},
	0,
	visible,
	0,
	0,
	160,
	'gpbx',
	"Its OK to transmit statistics regarding:"
};
#endif

resource 'dftb' (1088, purgeable) {
	versionZero {
		{
			skipItem { }			,
			skipItem { }			,
			skipItem { }			,
			dataItem { 1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" }	,
			dataItem { 1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" }	,
			dataItem { 1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" }	,
			dataItem { 1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" }	,
			dataItem { 1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" }	,
			skipItem { }			,
			dataItem { 1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" }	,
		}
	}
};


resource 'MENU' (1503, "Edit") {
	503,
	63,
	0x7FFFBD7D,
	enabled,
	"Edit",
	{	/* array: 17 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Paste As Quotation", noIcon, noKey, noMark, plain,
		/* [7] */
		"Clear", noIcon, noKey, noMark, plain,
		/* [8] */
		"-", noIcon, noKey, noMark, plain,
		/* [9] */
		"Text", noIcon, hierarchicalMenu, "", plain,
		/* [10] */
		"-", noIcon, noKey, noMark, plain,
		/* [11] */
		"Select All", noIcon, "A", noMark, plain,
		/* [12] */
		"Wrap Selection", noIcon, noKey, noMark, plain,
		/* [13] */
		"Finish Nickname", noIcon, ",", noMark, plain,
		/* [14] */
		"Insert Recipient", noIcon, noKey, noMark, plain,
		/* [15] */
		"Insert Emoticon", noIcon, noKey, noMark, plain,
		/* [16] */
		"-", noIcon, noKey, noMark, plain,
		/* [17] */
		"Message Plugins", noIcon, hierarchicalMenu, "", plain,
		/* [18] */
		"Speak", noIcon, noKey, noMark, plain,
#ifdef DIAL
		/* [19] */
		"Dial", noIcon, noKey, noMark, plain,
#endif
#ifdef WINTERTREE
		/* [20] */
		"Spelling", noIcon, noKey, noMark, plain,
#endif
		/* [21] */
		"Add Word Service...", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (1554, "Scripts") {
	1554,
	63,
	0x7FFFFFFD,
	enabled,
	"Scripts",
	{
		/* [1] */
		"Open Scripts Folder", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'CNTL' (1105, purgeable) {
	{8, 186, 179, 189},
	2,
	visible,
	0,
	0,
	144,
	0,
	""
};
resource 'CNTL' (1106, purgeable) {
	{153, 34, 156, 271},
	2,
	visible,
	0,
	0,
	144,
	0,
	""
};
resource 'CNTL' (1107, purgeable) {
	{4, 129, 344, 132},
	2,
	visible,
	0,
	0,
	144,
	0,
	""
};

resource 'CNTL' (1084, purgeable) {
	{0, 0, 0, 0},
	2,
	visible,
	0,
	0,
	336,
	0,
	""
};

resource 'CNTL' (1088, purgeable) {
	{0, 0, 0, 0},
	0,
	visible,
	0,
	0,
	256,
	0,
	""
};

resource 'CNTL' (1109, purgeable) {
	{0,0,15,15},
	0,
	visible,
	1,
	0,
	64,
	1109,
	""
};

resource 'CNTL' (1110, purgeable) {
	{-15,-15,0,0},
	1101,
	visible,
	0,
	0,
	323,
	1110,
	""
};


data 'LDEF' (1001, "", preload, locked) {
	/* Needs filling in my program before use! */
	$"41FA 0006"		/* LEA PC+8, A0 	; A0 <- ptr to destination address */
	$"2050"				/* MOVEA.L (A0), A0 ; AO <- destination address */
	$"4ED0"				/* JMP (A0) 		; go! */
	$"00000000"			/* 	Destination address */
};
data 'LDEF' (1002, "", preload, locked) {
	/* Needs filling in my program before use! */
	$"41FA 0006"		/* LEA PC+8, A0 	; A0 <- ptr to destination address */
	$"2050"				/* MOVEA.L (A0), A0 ; AO <- destination address */
	$"4ED0"				/* JMP (A0) 		; go! */
	$"00000000"			/* 	Destination address */
};
data 'LDEF' (1003, "", preload, locked) {
	/* Needs filling in my program before use! */
	$"41FA 0006"		/* LEA PC+8, A0 	; A0 <- ptr to destination address */
	$"2050"				/* MOVEA.L (A0), A0 ; AO <- destination address */
	$"4ED0"				/* JMP (A0) 		; go! */
	$"00000000"			/* 	Destination address */
};
data 'LDEF' (1004, "", preload, locked) {
	/* Needs filling in my program before use! */
	$"41FA 0006"		/* LEA PC+8, A0 	; A0 <- ptr to destination address */
	$"2050"				/* MOVEA.L (A0), A0 ; AO <- destination address */
	$"4ED0"				/* JMP (A0) 		; go! */
	$"00000000"			/* 	Destination address */
};
#ifdef FANCY_FILT_LDEF
data 'LDEF' (1005, "", preload, locked) {
	/* Needs filling in my program before use! */
	$"41FA 0006"		/* LEA PC+8, A0 	; A0 <- ptr to destination address */
	$"2050"				/* MOVEA.L (A0), A0 ; AO <- destination address */
	$"4ED0"				/* JMP (A0) 		; go! */
	$"00000000"			/* 	Destination address */
};
#endif
data 'LDEF' (1006, "", preload, locked) {
	/* Needs filling in my program before use! */
	$"41FA 0006"		/* LEA PC+8, A0 	; A0 <- ptr to destination address */
	$"2050"				/* MOVEA.L (A0), A0 ; AO <- destination address */
	$"4ED0"				/* JMP (A0) 		; go! */
	$"00000000"			/* 	Destination address */
};

data 'LDEF' (1007, "", preload, locked) {
	/* Needs filling in my program before use! */
	$"41FA 0006"		/* LEA PC+8, A0 	; A0 <- ptr to destination address */
	$"2050"				/* MOVEA.L (A0), A0 ; AO <- destination address */
	$"4ED0"				/* JMP (A0) 		; go! */
	$"00000000"			/* 	Destination address */
};

data 'CDEF' (1006, "", preload, locked) {
	/* Needs filling in my program before use! */
	$"41FA 0006"		/* LEA PC+8, A0 	; A0 <- ptr to destination address */
	$"2050"				/* MOVEA.L (A0), A0 ; AO <- destination address */
	$"4ED0"				/* JMP (A0) 		; go! */
	$"00000000"			/* 	Destination address */
};

data 'CDEF' (1002, "", preload, locked) {
	/* Needs filling in my program before use! */
	$"41FA 0006"		/* LEA PC+8, A0 	; A0 <- ptr to destination address */
	$"2050"				/* MOVEA.L (A0), A0 ; AO <- destination address */
	$"4ED0"				/* JMP (A0) 		; go! */
	$"00000000"			/* 	Destination address */
};

#ifdef NEVER
data 'CDEF' (1003, "", preload, locked) {
	/* Needs filling in my program before use! */
	$"41FA 0006"		/* LEA PC+8, A0 	; A0 <- ptr to destination address */
	$"2050"				/* MOVEA.L (A0), A0 ; AO <- destination address */
	$"4ED0"				/* JMP (A0) 		; go! */
	$"00000000"			/* 	Destination address */
};
#endif

data 'CDEF' (1004, "", preload, locked) {
	/* Needs filling in my program before use! */
	$"41FA 0006"		/* LEA PC+8, A0 	; A0 <- ptr to destination address */
	$"2050"				/* MOVEA.L (A0), A0 ; AO <- destination address */
	$"4ED0"				/* JMP (A0) 		; go! */
	$"00000000"			/* 	Destination address */
};


#ifdef DEBUG
data 'CDEF' (1005, "", preload, locked) {
	/* Needs filling in my program before use! */
	$"41FA 0006"		/* LEA PC+8, A0 	; A0 <- ptr to destination address */
	$"2050"				/* MOVEA.L (A0), A0 ; AO <- destination address */
	$"4ED0"				/* JMP (A0) 		; go! */
	$"00000000"			/* 	Destination address */
};
#endif

/*
 * these types are ok for grabbing the file before setting the
 * droplocation when receiving a promiseHFS drag
 */
data 'EuPD' (1001,"") {
	"rWm1"  /* Find File promise */
};

/*
 * these types are ok for regular promiseHFS stuff
 */
data 'EuPr' (1001,"") {
	"ASBp"	/* StuffIt Browser promise */
	"pSIT" /* StuffIt promise */
	"SPEC" /* our own promises */
};

/*
 * launch these creators when need to set location
 */
data 'DtMp' (1001,"") {
	"tim2"	/* StuffIt Browser promise */
	"wmap" /* StuffIt promise */
};

/*
 * launch finder when opening these types
 */
data 'EuFl' (128, purgeable) {
	"CDEV" "sfil" "dfil" "ffil" "RDEV" "cdev" "rdev" "clpp" "clpt" "APPC"
};

data 'XskT' (128,"List of sucky filetypes used by sucky MacOSX",purgeable) {"\000\000\000\000" "????" "    "};
data 'XskC' (128,"List of sucky creators used by sucky MacOSX",purgeable) {"\000\000\000\000" "????" "    "};


/*
 * list of file types containing executable code
 * if list grows >15, all hell will break loose
 */
data 'eXeC' (128, purgeable) {
	"APPL" "APPC" "cdev" "APPD" "FNDR" "appe"
};

/*
 * list of sea's and such
 */
data 'sea#' (128, purgeable) {
	"aust" "NCse" "EXTR" "DSE2" "ApMh" "ZAPS" "STi0" "STi1" "A2Mh" "VIS3"
};

resource 'dftb' (1075, purgeable) {
	versionZero {
		{	/* array FontStyle: 6 elements */
			/* [1] */
			skipItem {

			}			,
			/* [2] */
			skipItem {

			}			,
			/* [3] */
			skipItem {

			}			,
			/* [4] */
			skipItem {

			}			,
			/* [5] */
			skipItem {

			}			,
			/* [6] */
			dataItem {
				1, -2,
				0,
				0,
				0,
				0,
				0,
				0,
				0,
				0,
				0,
				0,
				""
			}
		}
	}
};
resource 'dftb' (1005, purgeable) {
	versionZero {
		{
			skipItem { }			,
			skipItem { }			,
			skipItem { }			,
			dataItem { 1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" }	,
			dataItem { 1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" }	,
			dataItem { 1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" }	,
			dataItem { 1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" }	,
			dataItem { 1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" }	,
			dataItem { 1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" }	,
			dataItem { 1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" }	,
			dataItem { 1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" }	,
		}
	}
};

/*
 *	Font tables for the nag dialogs
 */
 
resource 'dftb' (1078, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },			
		}
	}
};

resource 'DLOG' (1078, purgeable) {
	{0, 0, 300, 414},
	movableDBoxProc,
	invisible,
	goAway,
	0x0,
	1078,
	"",
	alertPositionMainScreen
};

resource 'DITL' (1078, purgeable) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{270, 305, 290, 395},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{270, 210, 290, 300},
		Button {
			enabled,
			"Enter Code"
		},
		/* [3] */
		{270, 17, 290, 137},
		Button {
			enabled,
			"Tell Me More"
		},
		/* [4] */
		{12, 12, 28, 401},
		StaticText {
			disabled,
			"Welcome to Eudora!"
		},
		/* [5] */
		{29, 18, 260, 396},
		StaticText {
			disabled,
			"~1002"
		},
	}
};
 
resource 'dftb' (1079, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			skipItem { },
//			dataItem { kDialogFontUseFontMask, kControlFontSmallBoldSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
		}
	}
};

resource 'dftb' (1081, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			skipItem { },
//			dataItem { kDialogFontUseFontMask, kControlFontSmallBoldSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
		}
	}
};

resource 'dftb' (1082, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			skipItem { },
//			dataItem { kDialogFontUseFontMask, kControlFontSmallBoldSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
		}
	}
};

resource 'dftb' (1083, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
//			dataItem { kDialogFontUseFontMask, kControlFontSmallBoldSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallBoldSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
		}
	}
};

resource 'dftb' (1084, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			skipItem { },
//			dataItem { kDialogFontUseFontMask, kControlFontSmallBoldSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
		}
	}
};

resource 'dftb' (1085, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			skipItem { },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
		}
	}
};

resource 'dftb' (1086, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			skipItem { },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
		}
	}
};

resource 'dftb' (1090, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask|kDialogFontUseJustMask, kControlFontSmallSystemFont, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask|kDialogFontUseJustMask, kControlFontSmallSystemFont, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask|kDialogFontUseJustMask, kControlFontSmallSystemFont, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, "" },
			skipItem { },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
		}
	}
};

resource 'dftb' (1091, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask|kDialogFontUseJustMask, kControlFontSmallSystemFont, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask|kDialogFontUseJustMask, kControlFontSmallSystemFont, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask|kDialogFontUseJustMask, kControlFontSmallSystemFont, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, "" },
		}
	}
};

resource 'dftb' (1093, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			skipItem { },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
		}
	}
};

resource 'dftb' (1094, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			skipItem { },
		}
	}
};


resource 'dftb' (1101, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			skipItem { },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
		}
	}
};


resource 'ldes' (1007, purgeable) {
	versionZero {
			0,								// Number of rows
			1,								// Number of columns
			16,								// Cell height
			0,								// Cell width (we'll take the default)
			hasVertScroll,
			noHorizScroll,
			1007,							// LDEF resID
			noGrowSpace,
		}
};


resource 'FUtf' (128,"ldap.bigfoot.com",purgeable) {""};
resource 'FUcf' (128,"ldap.bigfoot.com",purgeable) {"(cn=*^0*)"};
resource 'FUtf' (129,"ldap.four11.com",purgeable) {""};
resource 'FUcf' (129,"ldap.four11.com",purgeable) {"(cn=*^0*)"};

resource 'HLIT' (900,purgeable) {
{
0x00C6, "", "AElig",
0x00C1, "", "Aacute",
0x00C2, "", "Acirc",
0x00C0, "", "Agrave",
0x0391,  "", "Alpha",
0x00C5, "", "Aring",
0x00C3, "", "Atilde",
0x00C4, "", "Auml",
0x0392,  "", "Beta",
0x00C7, "", "Ccedil",
0x03A7,  "", "Chi",
0x2021, "", "Dagger",
0x0394, "", "Delta",
0x00D0, "", "ETH",
0x00C9, "", "Eacute",
0x00CA, "", "Ecirc",
0x00C8, "", "Egrave",
0x0395,  "", "Epsilon",
0x0397,  "", "Eta",
0x00CB, "", "Euml",
0x0393,  "", "Gamma",
0x00CD, "", "Iacute",
0x00CE, "", "Icirc",
0x00CC, "", "Igrave",
0x0399,  "", "Iota",
0x00CF, "", "Iuml",
0x039A,  "", "Kappa",
0x039B,  "", "Lambda",
0x039C,  "", "Mu",
0x00D1, "", "Ntilde",
0x039D,  "", "Nu",
0x0152,  "", "OElig",
0x00D3, "", "Oacute",
0x00D4, "", "Ocirc",
0x00D2, "", "Ograve",
0x03A9, "", "Omega",
0x039F,  "", "Omicron",
0x00D8, "", "Oslash",
0x00D5, "", "Otilde",
0x00D6, "", "Ouml",
0x03A6,  "", "Phi",
0x03A0, "", "Pi",
0x2033,  "", "Prime",
0x03A8,  "", "Psi",
0x03A1,  "", "Rho",
0x0160,  "", "Scaron",
0x03A3, "", "Sigma",
0x00DE, "", "THORN",
0x03A4,  "", "Tau",
0x0398,  "", "Theta",
0x00DA, "", "Uacute",
0x00DB, "", "Ucirc",
0x00D9, "", "Ugrave",
0x03A5,  "", "Upsilon",
0x00DC, "", "Uuml",
0x039E,  "", "Xi",
0x00DD, "", "Yacute",
0x0178, "", "Yuml",
0x017D, "", "Zcaron",
0x0396,  "", "Zeta",
0x00E1, "", "aacute",
0x00E2, "", "acirc",
0x00B4, "", "acute",
0x00E6, "", "aelig",
0x00E0, "", "agrave",
0x2135,  "", "alefsym",
0x03B1,  "", "alpha",
0x0026, "&", "amp",
0x2227,  "", "and",
0x2220,  "", "ang",
0x00E5, "", "aring",
0x2248, "", "asymp",
0x00E3, "", "atilde",
0x00E4, "", "auml",
0x201E, "", "bdquo",
0x03B2,  "", "beta",
0x00A6,  "", "brvbar",
0x2022, "", "bull",
0x2229,  "", "cap",
0x00E7, "", "ccedil",
0x00B8, "", "cedil",
0x00A2, "", "cent",
0x03C7,  "", "chi",
0x02C6, "", "circ",
0x2663,  "", "clubs",
0x2245,  "", "cong",
0x00A9, "", "copy",
0x21B5,  "", "crarr",
0x222A,  "", "cup",
0x00A4, "", "curren",
0x21D3,  "", "dArr",
0x2020, "", "dagger",
0x2193,  "", "darr",
0x00B0, "", "deg",
0x03B4, "", "delta",
0x2666, "", "diams",
0x00F7, "", "divide",
0x00E9, "", "eacute",
0x00EA, "", "ecirc",
0x00E8, "", "egrave",
0x2205,  "", "empty",
0x2003,  "", "emsp",
0x2002,  "", "ensp",
0x03B5,  "", "epsilon",
0x2261,  "", "equiv",
0x03B7,  "", "eta",
0x00F0, "", "eth",
0x00EB, "", "euml",
0x20AC,  "", "euro",
0x2203,  "", "exist",
0x0192, "", "fnof",
0x2200,  "", "forall",
0x00BD,  "", "frac12",
0x00BC,  "", "frac14",
0x00BE,  "", "frac34",
0x2044, "", "frasl",
0x03B3,  "", "gamma",
0x2265, "", "ge",
0x003E, ">", "gt",
0x21D4,  "", "hArr",
0x2194,  "", "harr",
0x2665,  "", "hearts",
0x2026, "", "hellip",
0x00ED, "", "iacute",
0x00EE, "", "icirc",
0x00A1, "", "iexcl",
0x00EC, "", "igrave",
0x2111,  "", "image",
0x221E, "", "infin",
0x222B, "", "int",
0x03B9,  "", "iota",
0x00BF, "", "iquest",
0x2208,  "", "isin",
0x00EF, "", "iuml",
0x03BA,  "", "kappa",
0x21D0,  "", "lArr",
0x03BB,  "", "lambda",
0x2329,  "", "lang",
0x00AB, "", "laquo",
0x2190,  "", "larr",
0x2308,  "", "lceil",
0x201C, "", "ldquo",
0x2264, "", "le",
0x230A,  "", "lfloor",
0x2217,  "", "lowast",
0x25CA, "", "loz",
0x200E,  "", "lrm",
0x2039, "", "lsaquo",
0x2018, "", "lsquo",
0x003C, "<", "lt",
0x00AF, "", "macr",
0x2014, "", "mdash",
0x00B5, "", "micro",
0x00B7, "", "middot",
0x2212,  "", "minus",
0x03BC, "", "mu",
0x2207,  "", "nabla",
0x00A0, "", "nbsp",
0x2013, "", "ndash",
0x2260, "", "ne",
0x220B,  "", "ni",
0x00AC, "", "not",
0x2209,  "", "notin",
0x2284,  "", "nsub",
0x00F1, "", "ntilde",
0x03BD,  "", "nu",
0x00F3, "", "oacute",
0x00F4, "", "ocirc",
0x0153, "", "oelig",
0x00F2, "", "ograve",
0x203E,  "", "oline",
0x03C9,  "", "omega",
0x03BF,  "", "omicron",
0x2295,  "", "oplus",
0x2228,  "", "or",
0x00AA, "", "ordf",
0x00BA, "", "ordm",
0x00F8, "", "oslash",
0x00F5, "", "otilde",
0x2297,  "", "otimes",
0x00F6, "", "ouml",
0x00B6, "", "para",
0x2202, "", "part",
0x2030, "", "permil",
0x22A5,  "", "perp",
0x03C6,  "", "phi",
0x03C0, "", "pi",
0x03D6,  "", "piv",
0x00B1, "", "plusmn",
0x00A3, "", "pound",
0x2032,  "", "prime",
0x220F,  "", "prod",
0x221D,  "", "prop",
0x03C8,  "", "psi",
0x0022, "\"", "quot",
0x21D2,  "", "rArr",
0x221A, "", "radic",
0x232A,  "", "rang",
0x00BB, "", "raquo",
0x2192,  "", "rarr",
0x2309,  "", "rceil",
0x201D, "", "rdquo",
0x211C,  "", "real",
0x00AE, "", "reg",
0x230B,  "", "rfloor",
0x03C1,  "", "rho",
0x200F,  "", "rlm",
0x203A, "", "rsaquo",
0x2019, "", "rsquo",
0x201A, "", "sbquo",
0x0161,  "", "scaron",
0x22C5,  "", "sdot",
0x00A7, "", "sect",
0x00AD,  "", "shy",
0x03C3,  "", "sigma",
0x03C2,  "", "sigmaf",
0x223C,  "", "sim",
0x2660,  "", "spades",
0x2282,  "", "sub",
0x2286,  "", "sube",
0x2211, "", "sum",
0x2283,  "", "sup",
0x00B9,  "", "sup1",
0x00B2,  "", "sup2",
0x00B3,  "", "sup3",
0x2287,  "", "supe",
0x00DF,  "", "szlig",
0x03C4,  "", "tau",
0x2234,  "", "there4",
0x03B8,  "", "theta",
0x03D1,  "", "thetasym",
0x2009,  "", "thinsp",
0x00FE, "", "thorn",
0x02DC, "", "tilde",
0x00D7,  "", "times",
0x2122, "", "trade",
0x21D1,  "", "uArr",
0x00FA, "", "uacute",
0x2191,  "", "uarr",
0x00FB, "", "ucirc",
0x00F9, "", "ugrave",
0x00A8, "", "uml",
0x03D2,  "", "upsih",
0x03C5,  "", "upsilon",
0x00FC, "", "uuml",
0x2118,  "", "weierp",
0x03BE,  "", "xi",
0x00FD, "", "yacute",
0x00A5, "", "yen",
0x00FF, "", "yuml",
0x017E, "", "zcaron",
0x03B6,  "", "zeta",
0x200D,  "", "zwj",
0x200C,  "", "zwnj",
/* The rest of these better be at the bottom go from 0x0080 to 0x009F in order. */
0x0080,  "", "euro", /* 1252-euro */
0x0081, "", "", /* 1252-<missing> */
0x0082, "", "sbquo", /* 1252-sbquo */
0x0083, "", "fnof", /* 1252-fnof */
0x0084, "", "bdquo", /* 1252-bdquo */
0x0085, "", "hellip", /* 1252-hellip */
0x0086, "", "dagger", /* 1252-dagger */
0x0087, "", "Dagger", /* 1252-Dagger */
0x0088, "", "circ", /* 1252-circ */
0x0089, "", "permil", /* 1252-permil */
0x008A,  "", "Scaron", /* 1252-Scaron */
0x008B, "", "lsaquo", /* 1252-lsaquo */
0x008C, "", "OElig", /* 1252-OElig */
0x008D, "", "", /* 1252-<missing> */
0x008E,  "", "Zcaron", /* 1252-Zcaron */
0x008F, "", "", /* 1252-<missing> */
0x0090, "", "", /* 1252-<missing> */
0x0091, "", "lsquo", /* 1252-lsquo */
0x0092, "", "rsquo", /* 1252-rsquo */
0x0093, "", "ldquo", /* 1252-ldquo */
0x0094, "", "rdquo", /* 1252-rdquo */
0x0095, "", "bull", /* 1252-bull */
0x0096, "", "ndash", /* 1252-ndash */
0x0097, "", "mdash", /* 1252-mdash */
0x0098, "", "tilde", /* 1252-tilde */
0x0099, "", "trade", /* 1252-trade */
0x009A,  "", "scaron", /* 1252-scaron */
0x009B, "", "rsaquo", /* 1252-rsaquo */
0x009C, "", "oelig", /* 1252-oelig */
0x009D, "", "", /* 1252-<missing> */
0x009E,  "", "zcaron", /* 1252-zcaron */
0x009F, "", "Yuml", /* 1252-Yuml */
};
};

#ifdef AUTOSIZEDIALOG_DOESNT_WORK_SO_THIS_IS_IFDEFED_OUT
resource 'DITL' (1089, "AdTheObscure", purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{56, 387, 76, 445},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{6, 49, 22, 449},
		StaticText {
			disabled,
			"Something seems to be covering the ad."
		},
		/* [3] */
		{30, 53, 43, 445},
		StaticText {
			disabled,
			"~1012"
		},
		/* [4] */
		{8,8,40,40},
		Icon {
			disabled,
			1
		}
	}
};

resource 'DLOG' (1089, "AdTheObscure", purgeable) {
	{0,0,86,454},
	movableDBoxProc,
	visible,
	goAway,
	0x0,
	1089,
	"",
	centerMainScreen
};
#else
resource 'DITL' (1089, "AdTheObscure", purgeable) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{199, 387, 219, 445},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{6, 49, 22, 449},
		StaticText {
			disabled,
			"Something seems to be covering the ad."
		},
		/* [3] */
		{30, 53, 186, 445},
		StaticText {
			disabled,
			"~1012"
		},
		/* [4] */
		{8,8,40,40},
		Icon {
			disabled,
			1
		}
	}
};

resource 'DLOG' (1089, "AdTheObscure", purgeable) {
	{0,0,229,454},
	movableDBoxProc,
	visible,
	goAway,
	0x0,
	1089,
	"",
	centerMainScreen
};
#endif

resource 'dftb' (1089, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			skipItem { },
		}
	}
};

resource 'FEAT' (1035, purgeable) {
	'anal',
	'????',
	noSubfeature,
	"Mood Watch",
	"Eudora will warn you of potentially inflammatory email",
};

resource 'FEAT' (1036, purgeable) {
	'stcs',
	'????',
	noSubfeature,
	"Statistics",
	"Display statistics about received and sent mail, usage time, attachments, etc.",
};

resource 'FEAT' (1037, purgeable) {
	'scpt',
	'????',
	noSubfeature,
	"Scripts Menu",
	"Run AppleScript scripts from a menu",
};

resource 'FEAT' (1038, purgeable) {
	'isig',
	'????',
	noSubfeature,
	"Inline Signatures",
	"Show & edit signature text in messages",
};

#ifdef VCARD
resource 'FEAT' (1041, purgeable) {
	'vcrd',
	'????',
	noSubfeature,
	"Business Cards",
	"Create and import electronic Business Cards (vCards)",
};
#endif

resource 'DITL' (1090, "Offline Link", purgeable) {
	{	/* array DITLarray: 10 elements */
		/* [1] */
		{96, 336, 116, 436},
		Button {
			enabled,
			"Visit Now"
		},
		/* [2] */
		{180, 336, 200, 436},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{124, 336, 144, 436},
		Button {
			enabled,
			"Bookmark"
		},
		/* [4] */
		{152, 336, 172, 436},
		Button {
			enabled,
			"Remind Me"
		},
		/* [5] */
		{181, 8, 197, 280},
		CheckBox {
			enabled,
			"Remember my choice for next time"
		},
		/* [6] */
		{98, 13, 120, 313},
		StaticText {
			disabled,
			"Connect to the Internet now and visit th"
			"e site ->"
		},
		/* [7] */
		{126, 13, 146, 313},
		StaticText {
			disabled,
			"Bookmark this site to visit later ->"
		},
		/* [8] */
		{154, 13, 174, 313},
		StaticText {
			disabled,
			"Bookmark it, and remind me when Im conn"
			"ected ->"
		},
		/* [9] */
		{8, 8, 78, 444},
		Control {
			enabled,
			1142
		},
		/* [10] */
		{28, 20, 70, 432},
		StaticText {
			disabled,
			"Youre not connected to the Internet now"
			".  Help me cope.  We can connect you and"
			" visit the site, bookmark this site in t"
			"he Link History window, or even remind y"
			"ou to visit it next time you are connect"
			"ed."
		}
	}
};

resource 'DITL' (1091, "Remind Me", purgeable) {
	{	/* array DITLarray: 8 elements */
		/* [1] */
		{96, 326, 116, 436},
		Button {
			enabled,
			"Show Them"
		},
		/* [2] */
		{124, 326, 144, 436},
		Button {
			enabled,
			"Remind Later"
		},
		/* [3] */
		{152, 326, 172, 436},
		Button {
			enabled,
			"Dont Remind"
		},
		/* [4] */
		{8, 8, 78, 444},
		Control {
			enabled,
			1143
		},
		/* [5] */
		{28, 20, 70, 432},
		StaticText {
			disabled,
			"You recently attempted to visit a web si"
			"te while you were not connected to the I"
			"nternet.  It seems your computer is now "
			"online.  Perhaps youd like to visit the"
			" sites you asked me to remind you about "
			"now?"
		},
		/* [6] */
		{98, 13, 118, 313},
		StaticText {
			disabled,
			"Show me which sites I tried to visit"
			" ->"
		},
		/* [7] */
		{126, 13, 146, 313},
		StaticText {
			disabled,
			"Not now.  Remind me a"
			"gain later ->"
		},
		/* [8] */
		{154, 13, 174, 313},
		StaticText {
			disabled,
			"Never mind, dont remind me "
			"about them again ->"
		}
	}
};

resource 'DLOG' (1090, "Offline Link", purgeable) {
	{44, 681, 254, 1131},
	movableDBoxProc,
	invisible,
	noGoAway,
	0x0,
	1090,
	"Offline Link Warning",
	centerMainScreen
};

resource 'DLOG' (1091, "Remind Me", purgeable) {
	{424, 378, 604, 828},
	movableDBoxProc,
	invisible,
	goAway,
	0x0,
	1091,
	"Web Link Reminder",
	centerMainScreen
};

resource 'WIND' (1024, "Email Importer", purgeable) {
	{0, 0, 160, 435},
	1031,
	invisible,
	goAway,
	0x0,
	"Email Importer",
	noAutoCenter
};

resource 'CNTL' (1166, "Import Account", purgeable) {
	{-100, -100, -50, -50},
	0,
	visible,
	1166,
	1,
	32,
	0,
	"Import Account"
};

resource 'CNTL' (1167, "Select Account", purgeable) {
	{-100, -100, -50, -50},
	0,
	visible,
	1167,
	1,
	32,
	0,
	"Select Account"
};

resource 'CNTL' (1168, purgeable) {
	{54, 40, 72, 180},
	255,
	visible,
	0,
	1553,
	411,
	0,
	""
};

resource 'CNTL' (1182, "Import Other", purgeable) {
	{-100, -100, -50, -50},
	0,
	visible,
	1182,
	1,
	32,
	0,
	"Import Other"
};

resource 'CNTL' (1169, "New Nickname", purgeable) {
	{-100, -100, -50, -50},
	0,
	visible,
	1130,
	1,
	32,
	0,
	"Entry"
};

resource 'CNTL' (1170, "New Address Book", purgeable) {
	{-100, -100, -50, -50},
	0,
	visible,
	1131,
	1,
	32,
	0,
	"Book"
};

resource 'CNTL' (1171, "Remove Nickname", purgeable) {
	{-100, -100, -50, -50},
	0,
	visible,
	1132,
	1,
	32,
	0,
	"Remove"
};


//
//	Tabs
//

resource 'tab#' (1002) {
	versionZero {
		{	/* array TabInfo: 5 elements */
			/* [1] */
			0,
			"Personal",
			/* [2] */
			0,
			"Home",
			/* [3] */
			0,
			"Work",
			/* [4] */
			0,
			"Other",
			/* [5] */
			0,
			"Notes"
		}
	}
};

resource 'tab#' (1003) {
	versionZero {
		{	/* [1] */
			0,
			"Mailbox",
			/* [2] */
			0,
			"Files"
		}
	}
};



resource 'MENU' (1553, "ImporterSelect") {
	1553,
	63,
	allEnabled,
	enabled,
	"ImporterSelect",
	{	/* array: 1 elements */
		/* [1] */
		"Search disk for all ...", noIcon, noKey, noMark, plain
	}
};

resource 'EuSc' (128, purgeable) {{
/*  H words		  non-H				total			score */
		1, 100,			0, 0,				0, 0, 		3,
		2, 1000,		0, 0,				0, 0, 		3,
		1, 1000,		2, 100,			0, 0, 		3,
		1, 500,			0, 0,				0, 0, 		2,
		1, 1000, 		1, 100,			0, 0,			2,
		0, 0,				3, 500,			0, 0,			2,
		0, 0,				0, 0,				2, 50,		2,
		0, 0,				0, 0,				2, 100,		1,
		1, 8000,		0, 0,				0, 0,			1,
}};

resource 'WIND' (1023, "Statistics", purgeable) {
	{0, 0, 275, 275},
	1031,
	invisible,
	goAway,
	0x0,
	"Statistics",
	noAutoCenter
};

resource 'WIND' (1025, "Plank", purgeable) {
	{0, 0, 40, 80},
	1040,
	invisible,
	noGoAway,
	0x0,
	"",
	noAutoCenter
};

resource 'dftb' (1098, purgeable) {
	versionZero {
		{
			skipItem { }			,
			skipItem { }			,
			skipItem { }			,
			skipItem { }			,
			dataItem { 1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" }	,
			dataItem { 1, -2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" }	,
		}
	}
};

resource 'DITL' (1098, "ProfileReq", purgeable) {
	{	/* array DITLarray: 6 elements */
		/* [1] */
		{104, 310, 124, 398},
		Button {
			enabled,
			"Profile"
		},
		/* [2] */
		{105, 210, 125, 298},
		Button {
			enabled,
			"Later"
		},
		/* [3] */
		{104, 12, 124, 124},
		Button {
			enabled,
			"About Profiling"
		},
		/* [4] */
		{12, 12, 96, 403},
		Control {
			enabled,
			1172
		},
		/* [5] */
		{29, 22, 57, 396},
		StaticText {
			disabled,
			"In order to use the full power of Eudora"
			" in Sponsored Mode, you must profile you"
			"rself."
		},
		/* [6] */
		{60, 22, 88, 396},
		StaticText {
			disabled,
			"Profiling is easy, just click the Profil"
			"e button to start.  If youd like to lea"
			"rn more about profiling, click About Pro"
			"filing. "
		}
	}
};

resource 'DLOG' (1098, "ProfileReq", purgeable) {
	{102, 81, 232, 498},
	movableDBoxProc,
	invisible,
	goAway,
	0x0,
	1098,
	"",
	alertPositionMainScreen
};

resource 'CNTL' (1172, "ProfileReq", purgeable) {
	{12, 12, 96, 403},
	2,
	visible,
	0,
	0,
	160,
	1735418488,
	"Please profile yourself"
};

resource 'DLOG' (1099, purgeable) {
	{0, 0, 324, 430},
	movableDBoxProc,
	invisible,
	goAway,
	0x0,
	1099,
	"",
	alertPositionMainScreen
};

resource 'DITL' (1099, purgeable) {
	{	/* array DITLarray: 8 elements */
		/* [1] */
		{295, 328, 315, 416},
		Button {
			enabled,
			"Profile"
		},
		/* [2] */
		{295, 230, 315, 318},
		Button {
			enabled,
			"Later"
		},
		/* [3] */
		{295, 15, 315, 127},
		Button {
			enabled,
			"About Profiling"
		},
		/* [4] */
		{10, 10, 287, 423},
		Control {
			disabled,
			1173
		},
		/* [5] */
		{25, 20, 51, 411},
		StaticText {
			disabled,
			"Filling out a profile is a requirement t"
			"o use Eudora in Sponsored Mode.  If you "
			"dont profile eventually, you will have "
			"to switch to Light Mode."
		},
		/* [6] */
		{55, 20, 94, 411},
		StaticText {
			disabled,
			"~1004"
		},
		/* [7] */
		{230, 20, 282, 411},
		StaticText {
			disabled,
			"~1017"
		},
		/* [8] */
		{100, 20, 228, 412},
		Control {
			disabled,
			1174
		},
	}
};

resource 'CNTL' (1173, purgeable) {
	{10, 10, 287, 423},
	2,
	visible,
	0,
	0,
	160,
	1735418488,
	"If you dont profile, youll lose featur"
	"es"
};

resource 'CNTL' (1174, purgeable) {
	{100, 20, 228, 412},
	1007,
	visible,
	0,
	0,
	352,
	0,
	""
};


resource 'dftb' (1099, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
		}
	}
};


resource 'DITL' (1100, "Repay", purgeable) {
	{	/* array DITLarray: 6 elements */
		/* [1] */
		{217, 310, 237, 398},
		Button {
			enabled,
			"Pay Now"
		},
		/* [2] */
		{217, 12, 237, 147},
		Button {
			enabled,
			"Sponsored Mode"
		},
		/* [3] */
		{217, 160, 237, 295},
		Button {
			enabled,
			"Show Versions"
		},
		/* [4] */
		{12, 12, 206, 408},
		Control {
			enabled,
			1177
		},
		/* [5] */
		{77, 24, 202, 396},
		StaticText {
			disabled,
			"~1018"
		},
		/* [6] */
		{29, 24, 73, 396},
		StaticText {
			disabled,
			"You've been using an older version of "
			"Eudora.  To use this version of Eudora in Paid mode,"
			" you must purchase a new registration co"
			"de.  But that's easy to do and you may be eligible "
			"for a special upgrade price."
		}
	}
};

resource 'DLOG' (1100, "Repay", purgeable) {
	{0, 0, 247, 420},
	movableDBoxProc,
	invisible,
	noGoAway,
	0x0,
	1100,
	"",
	alertPositionMainScreen
};

resource 'CNTL' (1177, "Repay", purgeable) {
	{12, 12, 206, 408},
	0,
	visible,
	0,
	0,
	160,
	1735418488,
	"You must pay to use this version i"
	"n Paid mode"
};

resource 'dftb' (1100, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
		}
	}
};

resource 'DITL' (1104, "Junkdown", purgeable) {
	{	/* array DITLarray: 6 elements */
		/* [1] */
		{160, 320, 180, 398},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{160, 222, 180, 310},
		Button {
			enabled,
			"Pay Now"
		},
		/* [3] */
		{160, 12, 180, 132},
		Button {
			enabled,
			"Tell Me More"
		},
		/* [4] */
		{12, 12, 146, 408},
		Control {
			enabled,
			1200
		},
		/* [5] */
		{36, 24, 146, 396},
		StaticText {
			disabled,
			"~1021"
		},
	}
};

resource 'DLOG' (1104, "Junkdown", purgeable) {
	{0, 0, 192, 420},
	movableDBoxProc,
	invisible,
	noGoAway,
	0x0,
	1104,
	"",
	alertPositionMainScreen
};

resource 'CNTL' (1200, "Junkdown", purgeable) {
	{12, 12, 147, 408},
	0,
	visible,
	0,
	0,
	160,
	1735418488,
	"Eudora Junk mail plug-ins have been disabled"
};

resource 'dftb' (1104, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			dataItem { kDialogFontUseFontMask, kControlFontSmallSystemFont, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, "" },
		}
	}
};

resource 'DLOG' (1034, "New Nickname", purgeable) {
	{80, 136, 328, 516},
	movableDBoxProc,
	invisible,
	noGoAway,
	0x0,
	1034,
	"Make Address Book Entry",
	centerMainScreen
};

resource 'DITL' (1034, "New Nickname", purgeable) {
	{	/* array DITLarray: 20 elements */
		/* [1] */
		{217, 242, 237, 370},
		Button {
			enabled,
			"Create Nickname"
		},
		/* [2] */
		{217, 51, 237, 115},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{217, 137, 237, 233},
		Button {
			enabled,
			"Add Details"
		},
		/* [4] */
		{208, 8, 240, 40},
		Icon {
			disabled,
			1001
		},
		/* [5] */
		{12, 12, 120, 368},
		Control {
			enabled,
			1162
		},
		/* [6] */
		{33, 95, 46, 350},
		Control {
			enabled,
			1158
		},
		/* [7] */
		{32, 18, 46, 90},
		StaticText {
			disabled,
			"Nickname:"
		},
		/* [8] */
		{168, 265, 182, 365},
		CheckBox {
			enabled,
			"Quick Recipient"
		},
		/* [9] */
		{167, 113, 183, 253},
		Control {
			enabled,
			1028
		},
		/* [10] */
		{59, 18, 73, 90},
		StaticText {
			disabled,
			"Full Name:"
		},
		/* [11] */
		{60, 95, 73, 350},
		Control {
			enabled,
			1157
		},
		/* [12] */
		{81, 22, 95, 94},
		StaticText {
			disabled,
			"First Name:"
		},
		/* [13] */
		{81, 208, 95, 280},
		StaticText {
			disabled,
			"Last Name:"
		},
		/* [14] */
		{98, 25, 111, 171},
		Control {
			enabled,
			1159
		},
		/* [15] */
		{98, 211, 111, 357},
		Control {
			enabled,
			1160
		},
		/* [16] */
		{97, 179, 112, 203},
		Control {
			enabled,
			1163
		},
		/* [17] */
		{146, 12, 159, 368},
		Control {
			enabled,
			1161
		},
		/* [18] */
		{128, 12, 144, 368},
		StaticText {
			disabled,
			"This nickname will expand to the following address:"
		},
		/* [19] */
		{168, 12, 182, 110},
		StaticText {
			disabled,
			"In the Address Book:"
		}
	}
};

resource 'DITL' (1095, "New Group", purgeable) {
	{	/* array DITLarray: 18 elements */
		/* [1] */
		{245, 242, 265, 370},
		Button {
			enabled,
			"Create Nickname"
		},
		/* [2] */
		{245, 51, 265, 115},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{245, 137, 265, 233},
		Button {
			enabled,
			"Add Details"
		},
		/* [4] */
		{236, 8, 268, 40},
		Icon {
			disabled,
			1431
		},
		/* [5] */
		{12, 12, 84, 368},
		Control {
			enabled,
			1165
		},
		/* [6] */
		{33, 95, 46, 350},
		Control {
			enabled,
			1158
		},
		/* [7] */
		{32, 18, 46, 90},
		StaticText {
			disabled,
			"Nickname:"
		},
		/* [8] */
		{196, 265, 210, 365},
		CheckBox {
			enabled,
			"Quick Recipient"
		},
		/* [9] */
		{195, 113, 211, 253},
		Control {
			enabled,
			1028
		},
		/* [10] */
		{59, 18, 73, 90},
		StaticText {
			disabled,
			"Group Name:"
		},
		/* [11] */
		{60, 95, 73, 350},
		Control {
			enabled,
			1157
		},
		/* [12] */
		{110, 12, 188, 368},
		Control {
			enabled,
			1164
		},
		/* [13] */
		{92, 12, 108, 368},
		StaticText {
			disabled,
			"This nickname will expand to the following addresses:"
		},
		/* [14] */
		{196, 12, 210, 110},
		StaticText {
			disabled,
			"In the Address Book:"
		}
	}
};

resource 'DLOG' (1095, "New Group", purgeable) {
	{80, 136, 356, 516},
	movableDBoxProc,
	invisible,
	noGoAway,
	0x0,
	1095,
	"Make Address Book Entry",
	centerMainScreen
};

resource 'CNTL' (1158, "Nickname name", purgeable) {
	{32, 64, 45, 320},
	268,
	visible,
	0,
	0,
	256,
	0,
	""
};

resource 'CNTL' (1028, purgeable) {
	{54, 40, 70, 180},
	255,
	visible,
	0,
	1521,
	411,
	0,
	""
};

resource 'CNTL' (1157, "Real Name", purgeable) {
	{32, 64, 45, 320},
	268,
	visible,
	0,
	0,
	256,
	0,
	""
};

resource 'CNTL' (1159, "First name", purgeable) {
	{32, 64, 45, 210},
	268,
	visible,
	0,
	0,
	256,
	0,
	""
};

resource 'CNTL' (1160, "Last name", purgeable) {
	{32, 64, 45, 210},
	268,
	visible,
	0,
	0,
	256,
	0,
	""
};

resource 'CNTL' (1161, "Nick Addresses", purgeable) {
	{146, 12, 159, 368},
	268,
	visible,
	0,
	0,
	256,
	0,
	""
};

resource 'CNTL' (1162, "Personal Information", purgeable) {
	{12, 12, 120, 368},
	2,
	visible,
	0,
	0,
	160,
	1735418488,
	"Personal Information"
};

resource 'CNTL' (1163, "Swap Names", purgeable) {
	{12, 12, 27, 36},
	0,
	visible,
	1129,
	1,
	32,
	0,
	""
};

resource 'CNTL' (1164, "Group Addresses", purgeable) {
	{146, 12, 224, 368},
	268,
	visible,
	0,
	0,
	256,
	0,
	""
};

resource 'CNTL' (1165, "Group Information", purgeable) {
	{12, 12, 84, 368},
	2,
	visible,
	0,
	0,
	160,
	1735418488,
	"Group Information"
};

resource 'dftb' (1034, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			dataItem { kControlUseJustMask, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, "" },
			skipItem { },
			skipItem { },
			dataItem { kControlUseJustMask, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, "" },
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			dataItem { kControlUseJustMask, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, "" },
		}
	}
};

resource 'dftb' (1095, purgeable) {
	versionZero {
		{
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			skipItem { },
			dataItem { kControlUseJustMask, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, "" },
			skipItem { },
			skipItem { },
			dataItem { kControlUseJustMask, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, "" },
			skipItem { },
			skipItem { },
			skipItem { },
			dataItem { kControlUseJustMask, 0, 0, 0, 0, -1, 0, 0, 0, 0, 0, 0, "" },
		}
	}
};


resource 'CNTL' (1175, "Match", purgeable) {
	{12, 12, 123, 354},
	2,
	visible,
	0,
	0,
	160,
	1735418488,
	"Match"
};

resource 'CNTL' (1176, "Action", purgeable) {
	{12, 12, 120, 354},
	2,
	visible,
	0,
	0,
	160,
	1735418488,
	"Action"
};

//	Template for QuickTime yes/no lists
type 'TMPL'
{
	array
	{
		pstring;
		literal longint;
	};
};

resource 'TMPL' (1147,"QTys")
{
	{
		"Count",'OCNT',
		"",'LSTC',
		"Creator",'TNAM',
		"Type",'TNAM',
		"",'LSTE'
	};
};

resource 'TMPL' (1148,"QTno")
{
	{
		"Count",'OCNT',
		"",'LSTC',
		"Creator",'TNAM',
		"Type",'TNAM',
		"",'LSTE'
	};
};



//	Don't ask QuickTime to import files of this type/creator
//	Use '****' for wildcard
resource 'QTno' (1000,"No QuickTime Import")
{
	{
		'APPL','****',	//	Application
		'MiME','CSOm',	//	plug-in files (ESP, etc.)
		'TEXT','CSOm',	//	Eudora mailbox files, etc
		'rsrc','CSOm',	//	Eudora plug-ins
		'eApp','CSOm',
		'WDBN','MSWD',	//	MS Word
		'RTF ','MSWD',
		'TEXT','MSWD',
		'W6BN','MSWD',
		'W8BN','MSWD',
		'XLS8','XCEL',	//	MS Excel
		'XLS4','XCEL',
		'TEXT','XCEL',
		'****','SIT!',	//	Stuffit files
		'PREF','****',	//	preference files
		'TEXT','CWIE',	//	CodeWarrior text file
		'TEXT','R*ch',	//	BBEdit text file
		'TEXT','MPS ',	//	MPW text file
		'TEXT','ttxt',	//	SimpleText 
		'INIT','****',	//	System extension
//		'PDF ','****',	//	Adobe Acrobat file (Mac OS X now supports this)
	};
};

type 'QTys' as 'QTno';

//	Do ask QuickTime to import files of this type/creator
//	Overrides any listed in 'QTno' resources
//	Use '****' for wildcard
resource 'QTys' (1000,"QuickTime Import")
{
	{
		'PICT','****',	//	PICT files
		'JPEG','****',	//	JPEG image
		'GIFf','****',	//	GIF image
		'MooV','****',	//	QT movie
		'TIFF','****',	//	TIFF image
		'BMPf','****',	//	BMP image
		'PNGf','****',	//	PNG image
		'8BPS','****',	//	Photoshop image
		'TPIC','****',	//	TGA image
		'.SGI','****',	//	SGI image
		'qtif','****',	//	Quicktime image
		'PNTG','****',	//	MacPaint image (like we'll ever see one of these)
	};
};

resource 'Nag#' (1003, purgeable) {
	{	/* array NagArray: 3 elements */
		/* [1] */
		1001,
		/* [2] */
		1005,
		/* [3] */
		1004
	}
};

resource 'Nag#' (1004, purgeable) {
	{	/* array NagArray: 2 elements */
		/* [1] */
		1005,
		/* [2] */
		1004
	}
};

resource 'Nag#' (1005, purgeable) {
	{	/* array NagArray: 3 elements */
		/* [1] */
		1003,
		/* [2] */
		1005,
		/* [3] */
		1004
	}
};

resource 'Nag#' (1006, purgeable) {
	{	/* array NagArray: 4 elements */
		/* [1] */
		1002,
		/* [2] */
		1005,
		/* [3] */
		1004,
		/* [4] */
		1006
	}
};

resource 'Nag#' (1007, purgeable) {
	{	/* array NagArray: 3 elements */
		/* [1] */
		1003,
		/* [2] */
		1005,
		/* [3] */
		1004
	}
};

resource 'Nag#' (1008, purgeable) {
	{	/* array NagArray: 3 elements */
		/* [1] */
		1005,
		/* [2] */
		1004,
		/* [3] */
		1006
	}
};

resource 'Nag#' (1009, purgeable) {
	{	/* array NagArray: 2 elements */
		/* [1] */
		1005,
		/* [2] */
		1004
	}
};

resource 'Nag#' (1011, purgeable) {
	{	/* array NagArray: 3 elements */
		/* [1] */
		1002,
		/* [2] */
		1005,
		/* [3] */
		1004
	}
};

resource 'Nag#' (1012, purgeable) {
	{	/* array NagArray: 3 elements */
		/* [1] */
		1002,
		/* [2] */
		1005,
		/* [3] */
		1004
	}
};

resource 'Nag#' (1013, purgeable) {
	{	/* array NagArray: 3 elements */
		/* [1] */
		1005,
		/* [2] */
		1004,
		/* [3] */
		1006
	}
};

resource 'Nag#' (1014, purgeable) {
	{	/* array NagArray: 2 elements */
		/* [1] */
		1005,
		/* [2] */
		1004
	}
};

resource 'CNTL' (1183, "Name", purgeable) {
	{-100,-100,50,50},
	0,
	visible,
	0,
	0,
	32,
	0,
	"Name"
};

resource 'CNTL' (1184, "Date", purgeable) {
	{-100,-100,50,50},
	0,
	visible,
	0,
	0,
	32,
	0,
	"Date Modified"
};

resource 'CNTL' (1185, "Size", purgeable) {
	{-100,-100,50,50},
	0,
	visible,
	0,
	0,
	32,
	0,
	"Size"
};

//	Help menu for Mac OS X
resource 'MENU' (515) { 515, textMenuProc, allEnabled, enabled,
	"Help",
	{
	}
};

resource 'CNTL' (1204, "MatchGroup", purgeable) {
	{12, 12, 206, 408},
	0,
	visible,
	0,
	0,
	160,
	1735418488,
	"Match"
};

resource 'CNTL' (1205, "ActionGroup", purgeable) {
	{12, 12, 206, 408},
	0,
	visible,
	0,
	0,
	160,
	1735418488,
	"Action"
};


//	

resource 'DLOG' (1109, "Server check", purgeable) {
	{302, 465, 526, 920},
	movableDBoxProc,
	invisible,
	noGoAway,
	0x0,
	1109,
	"Test Connection Results",
	centerParentWindow
	};


resource 'DITL' (1109, purgeable) {
	{	/* array DITLarray: 8 elements */
		/* [1] */
		{188, 372, 208, 440},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{68, 8, 84, 88},
		StaticText {
			disabled,
			"POP/IMAP:"
		},
		/* [3] */
		{68, 88, 84, 438},
		StaticText {
			disabled,
			"^0"
		},
		/* [4] */
		{88, 88, 104, 438},
		StaticText {
			disabled,
			"^1"
		},
		/* [5] */
		{124, 8, 140, 88},
		StaticText {
			disabled,
			"SMTP:"
		},
		/* [6] */
		{124, 88, 140, 438},
		StaticText {
			disabled,
			"^2"
		},
		/* [7] */
		{144, 88, 160, 438},
		StaticText {
			disabled,
			"^3"
		},
		/* [8] */
		{8,8,40,40},
		Icon {
			disabled,
			1
		}
	}
};


