#include "conf.h"
#include "SysTypes.r"
#include "Types.r"
#include "BalloonTypes.r"
#include "AERegistry.r"
#include "AEUserTermTypes.r"

type 'STH#' as 'STR#';
type 'GSTR' as 'STR ';

resource 'STR#' (2200, purgeable) {
	{	/* array StringArray: 10 elements */
		/* [1] */
		"The network is presently unreachable.",
		/* [2] */
		"The host is presently unreachable.",
		/* [3] */
		"The protocol is presently unreachable.",
		/* [4] */
		"The port is presently unreachable.",
		/* [5] */
		"A packet could not be sent because it had to be fragmented, and fragmentation is currently not allowed.",
		/* [6] */
		"A packet's source route failed.",
		/* [7] */
		"A packet's time to live was exceeded.",
		/* [8] */
		"Incorrect parameters were supplied to TCP/IP.",
		/* [9] */
		"A required option is missing.",
		/* [10] */
		"An unknown ICMP message was received."
	}
};

resource 'STR#' (3600, purgeable) { /* CTB errors */
	{	/* array StringArray: 10 elements */
		/* [1] */
		"It won't say why.",
		/* [2] */
		"(Not really.)",
		/* [3] */
		"The connection was refused.",
		/* [4] */
		"The attempt to make the connection failed.",
		/* [5] */
		"The operation timed out.",
		/* [6] */
		"The connection is not open.",
		/* [7] */
		"The connection is not closed.",
		/* [8] */
		"There is nothing pending.",
		/* [9] */
		"That operation is not supported.",
		/* [10] */
		"No connection tools are available."
	}
};

resource 'STR#' (1400, purgeable) {
	{	/* array StringArray: 37 elements */
		/* [1] */
		"An error involving documents has occurred.",
		/* [2] */
		"The directory is full.",
		/* [3] */
		"The disk is full.",
		/* [4] */
		"There is no such volume.",
		/* [5] */
		"An I/O error has occurred.",
		/* [6] */
		"The name is bad.",
		/* [7] */
		"An fnOpnErr has occurred.",
		/* [8] */
		"The end of a file has been unexpectedly reached.",
		/* [9] */
		"Error positioning document pointer.",
		/* [10] */
		"An mFulErr has occurred.",
		/* [11] */
		"There are too many documents open.",
		/* [12] */
		"The document was not found.",
		/* [13] */
		"The disk is locked.",
		/* [14] */
		"The document is locked.",
		/* [15] */
		"The volume is locked.",
		/* [16] */
		"The document is busy.",
		/* [17] */
		"The document already exists.",
		/* [18] */
		"I am unable to open the document for writing.",
		/* [19] */
		"There has been an error in a parameter.",
		/* [20] */
		"The reference number is bad.",
		/* [21] */
		"A gfpErr has occurred.",
		/* [22] */
		"The volume is off-line.",
		/* [23] */
		"You don't have sufficient permissions for that.",
		/* [24] */
		"The volume is on-line.",
		/* [25] */
		"There is no such driver.",
		/* [26] */
		"The disk is not a Macintosh disk.",
		/* [27] */
		"An extFSErr has occurred.",
		/* [28] */
		"A fsRnErr has occurred.",
		/* [29] */
		"A badMDBErr has occurred.",
		/* [30] */
		"You may not write to that.",
		/* [31] */
		"The directory was not found.",
		/* [32] */
		"There are too many working directories open.",
		/* [33] */
		"A badMovErr has occurred.",
		/* [34] */
		"The volume is the wrong type.",
		/* [35] */
		"The volume is gone.",
		/* [36] */
		"An fsDSIntErr has occurred.",
		/* [37] */
		"An unknown error has occurred."
	}
};

resource 'STR#' (4600,"Comp Help",purgeable) { {
  "Press this button to queue, save, and close the message.  The message would then be sent the next time you chose Send Queued Messages from the File menu.",
  "Press this button to send the message.",
  "Press this button to save the stationery.",
  "The formatting toolbar is not showing; click here to show it","The formatting toolbar is showing; click here to hide it",
  "MIME Quoted-Printable encoding will NOT be used, no matter what.  (Bad idea.)","Eudora is allowed to use MIME Quoted-Printable encoding if necessary.  (Good idea.)",
  "Eudora may omit Macintosh resources and types from attachments, if they are basic MIME types.","Attachments will always be sent with Macintosh resources and types.",
  "This message will not be word-wrapped when it is sent.","This message will be word-wrapped when it is sent.",
  "A copy of this message will not be kept after it is sent.","A copy of this message will remain in your Out mailbox after it is sent.",
#ifndef ONE
  "Do not ask for a receipt when the recipient reads this message.","Ask for a receipt when the recipient reads this message.",
#else
  "Your signature file will not be added to this message.","Your signature file will be added to this message.",
#endif
}};

resource 'STR#' (4800,"Mailbox Help",purgeable) {{
  "All mailboxes and mailbox folders are listed here.\nClick once to select. Command-Click, Shift-Click, or click and drag to select multiple items.  Double-click to display the contents of a mailbox folder or open a mailbox. Click and drag to move an item.",
  "","Create a new untitled mailbox.",
  "","Create a new untitled mailbox folder.",
  "Remove the mailboxes or mailbox folders selected in the list above.\nDimmed because none are selected.","Remove the mailboxes or mailbox folders selected in the list above.",
	"Refresh selected IMAP mailbox lists.\nDimmed because no IMAP mailboxes are selected, or an IMAP operation is already underway.","Refresh selected IMAP mailbox lists. Hold down the option key to refresh all of them.",
	"Resynchronize the selected IMAP mailboxes.\nDimmed because no IMAP mailboxes are selected.","Resynchronize the selected IMAP mailboxes.",
}};

resource 'STR#' (5000,"Nickname Help",purgeable) {{
  "All nicknames and address books are listed here.\n\nClick once to select. Command-Click, Shift-Click, or click and drag to select multiple items.  Double-click to open a new message addressed to a particular person. Click and drag to move an item.",
	"Drag this line to change the widths of the nickname list and nickname editing tabs.",
	"Change the sort order for the nicknames listed below by selecting the a field from this popup.",

	"Create a new nickname within the selected address book.",
	"Create a new nickname within the selected address book.\n\nDimmed because the selected address book is Read Only.",

	"Create a new address book.",
	
	"Remove the nicknames or address books selected in the list above.",
	"Remove the nicknames or address books selected in the list above.\n\nDimmed because nothing is selected",
	"Remove the nicknames or address books selected in the list above.\n\nDimmed because some items are stored in a Read Only address book.",
	"Remove the nicknames or address books selected in the list above.\n\nDimmed because the Eudora Nicknames address book cannot be removed.",
	"Remove the nicknames or address books selected in the list above.\n\nDimmed because the History List address book cannot be removed.",

	"Send a message to the selected nicknames.",
	"Add the selected nicknames to the To: field of the topmost message.",
	"Send a message to the selected nicknames.\n\nDimmed because no nicknames are selected.",

	"Cc a message to the selected nicknames.",
	"Add the selected nicknames to the Cc: field of the topmost message.",
	"Cc a message to the selected nicknames.\n\nDimmed because no nicknames are selected.",

	"Bcc a message to the selected nicknames.",
	"Add the selected nicknames to the Bcc: field of the topmost message.",
	"Bcc a message to the selected nicknames.\n\nDimmed because no nicknames are selected.",

	"Click this button to show the nickname editing tabs.",
	"Click this button to hide the nickname editing tabs.",

	"Use this checkbox to add or remove the selected nicknames from your quick recipient list.",
	"Use this checkbox to add or remove the selected nicknames from your quick recipient list.\n\nDimmed because nothing is selected.",

	"Change the name of a selected nickname by typing here.",
	"Change the name of a selected nickname by typing here.\n\nDimmed because nothing is selected in the nickname list.",
	"Change the name of a selected nickname by typing here.\n\nDimmed because multiple nicknames are selected in the nickname list.",

	"Enter detailed information about the selected nickname here.\n\nClick the tabs to see different catagories of information.",
	"Enter detailed information about the selected nickname here.\n\nDimmed because nothing is selected in the nickname list.",
	"Enter detailed information about the selected nickname here.\n\nDimmed because multiple nicknames are selected in the nickname list.",
}};

resource 'STR#' (5200,"Mailbox Help",purgeable) {{
	"Drag this line to change the size of the Status column.",
	"Drag this line to change the size of the Priority column.",
	"Drag this line to change the size of the Attachments column.",
	"Drag this line to change the size of the Label column.",
	"Drag this line to change the size of the Sender/Recipient column.",
	"Drag this line to change the size of the Date column.",
	"Drag this line to change the size of the Size column.",
	"Drag this line to change the size of the Server column.",
	"Drag this line to change the size of the Mailbox column.",
	"",
	"Drag this line to change the size of the Mood column.",
	"",
	"",
  "This column displays whether or not the message contains an attachment.",
  "This column displays the label youve given to the messages.\n\nIf you select a message and press here, youll get a popup menu that allows you to change the label.",
  "This column displays the people who sent the messages (or the recipients of the messages, if they're messages you created).",
  "This column displays the date the messages were sent.",
  "This column displays the sizes of the messages, in K (1K = 1024 characters).  If a Ҥ is displayed, it means the whole message was not fetched.  If a ҥ is displayed, the message has no text or attachments.",
  "",
	"This column displays the mailbox the message is stored in.",
	"This column displays the subjects of the messages.",
	"This column displays the mood (flame score) of the messages.",
	"Click here to view by status.  Option-click to sort descending, Shift-click to add to the current sort.",
	"Click here to view by priority.  Option-click to sort descending, Shift-click to add to the current sort.",
	"Click here to view by whether or not the message has attachments.  Option-click to sort descending, shift-click to add to the current sort.",
	"Click here to view by label.  Option-click to sort descending, Shift-click to add to the current sort.",
	"Click here to view by sender/recipient.  Option-click to sort descending, Shift-click to add to the current sort.",
	"Click here to view by date.  Option-click to sort descending, Shift-click to add to the current sort.",
	"Click here to view by size.  Option-click to sort descending, Shift-click to add to the current sort.",
	"You may not sort on the server status column.",
	"Click here to view by mailbox.  Option-click to sort descending, Shift-click to add to the current sort.",
	"Click here to view by subject.  Option-click to sort descending, Shift-click to add to the current sort.",
	"Click here to view by mood (flame score).  Option-click to sort descending, Shift-click to add to the current sort.",
	"Click here to stop sorting.  Shift-click to remove status from current sort.",
	"Click here to stop sorting.  Shift-click to remove priority from current sort.",
	"Click here to stop sorting.  Shift-click to remove whether or not the message has attachments from the current sort.",
	"Click here to stop sorting.  Shift-click to remove label from current sort.",
	"Click here to stop sorting.  Shift-click to remove sender from current sort.",
	"Click here to stop sorting.  Shift-click to remove date from current sort.",
	"Click here to stop sorting.  Shift-click to remove size from current sort.",
	"You may not sort on the server status column.",
	"Click here to stop sorting.  Shift-click to remove mailbox from current sort.",
	"Click here to stop sorting.  Shift-click to remove subject from current sort.",
	"Click here to stop sorting.  Shift-click to remove mood from current sort.",
	"Number of messages / Combined size of all messages / Space wasted.\n\nClick to compact this mailbox. Option-click to compact all mailboxes.",
	"Click to open or close the preview pane which lets you view the current message inside the mailbox window.",
	"Drag to change the size of the preview pane.",
	"Number of messages selected / Total number of messages / Combined size of all messages / Space wasted.\n\nClick to compact this mailbox. Option-click to compact all mailboxes.",
}};

/* MJN *//* formatting toolbar */
resource 'STR#' (15400,"Text formatting toolbar Help",purgeable) {{
	"",
	"This item can be used to format text.  Disabled because you have turned off the sending of styled text.",
	"Change the text font.",
	"Change the text font.  Disabled because insertion point is in the message header.",
	"Change the text size.",
	"Change the text size.  Disabled because insertion point is in the message header.",
	"Change the text color.",
	"Change the text color.  Disabled because insertion point is in the message header.",
	"Select bold text.",
	"Select bold text.  Disabled because insertion point is in the message header.",
	"Select italic text.",
	"Select italic text.  Disabled because insertion point is in the message header.",
	"Select underline text.",
	"Select underline text.  Disabled because insertion point is in the message header.",
	"Remove one level of quoting.",
	"Remove one level of quoting.  Disabled because insertion point is in the message header.",
	"Add one level of quoting.",
	"Add one level of quoting.  Disabled because insertion point is in the message header.",
	"Select left-justified text.",
	"Select left-justified text.  Disabled because insertion point is in the message header.",
	"Select center-justified text.",
	"Select center-justified text.  Disabled because insertion point is in the message header.",
	"Select right-justified text.",
	"Select right-justified text.  Disabled because insertion point is in the message header.",
	"Decrease the margin indent.",
	"Decrease the margin indent.  Disabled because insertion point is in the message header.",
	"Increase the margin indent.",
	"Increase the margin indent.  Disabled because insertion point is in the message header.",
	"Add or remove bullets on your paragraphs.",
	"Add or remove bullets on your paragraphs.  Disabled because insertion point is in the message header, or because youre not using HTML.",
	"Insert an horizontal line.",
	"Insert an horizontal line.  Disabled because insertion point is in the message header, or because youre not using HTML.",
	"Make the selection a link to a URL.",
	"Make the selection a link to a URL.  Disabled because insertion point is in the message header, or because youre not using HTML, or because there is no selection.",
	"Clear all text formatting options.",
	"Clear all text formatting options.  Disabled because insertion point is in the message header.",
}};

resource 'STR#' (17000,"Personalities Help",purgeable) {{
  "All personalities are listed here.\nClick once to select. Command-Click, Shift-Click, or click and drag to select multiple personalities.  Double-click to create a new message with the personality.",
  "","Create a new untitled personality.",
  "Remove the personalities selected in the list above.\nDimmed because none are selected. You cannot remove the Dominant personality.","Remove the personalities selected in the list above.",
	"Check mail for the personalities selected in the list above.\nDimmed because none are selected.","Check mail for the personalities selected in the list above.",
	"Make changes to the selected personality.\nDimmed because none are selected.","Make changes to the selected personality.",
}};

resource 'STR#' (17100,"Signatures Help",purgeable) {{
  "All signatures are listed here.\nClick once to select. Command-Click, Shift-Click, or click and drag to select multiple signatures.  Double-click to edit the signature.",
  "","Create a new untitled signature.",
  "Remove the signatures selected in the list above.\nDimmed because none are selected. You cannot remove Standard and Alternate.","Remove the signatures selected in the list above.",
	"Make changes to the selected signatures.\nDimmed because none are selected.","Make changes to the selected signatures.",
}};

resource 'STR#' (18000,"Stationery Help",purgeable) {{
  "All stationery files are listed here.\nClick once to select. Command-Click, Shift-Click, or click and drag to select multiple stationery files.  Double-click to create a new message with the stationery.",
  "","Create a new untitled stationery file.",
  "Remove the stationery files selected in the list above.\nDimmed because none are selected.","Remove the stationery files selected in the list above.",
	"Make changes to the selected stationery files.\nDimmed because none are selected.","Make changes to the selected stationery files.",
}};

resource 'STR#' (19700,"Link Help",purgeable) {{
  "Links you've recently clicked on are shown here.\nClick once to select. Command-Click, Shift-Click, or click and drag to select multiple entries.  Double-click to open and revisit the link.",
  "Open the links selected in the history list.\nDimmed because none are selected.","Open the links selected in the history list.",
  "Remove the selected links from the history list.\nDimmed because none are selected.","Remove the selected links from the history list.",
  "","Click here to view by link type.  Option-click to reverse the sort order.",
  "","Click here to view by the link name.  Option-click to reverse the sort order.",
  "","Click here to view by link label.  Option-click to reverse the sort order.",
}};

resource 'STR#' (24000,"Ph Help",purgeable) {{
	/* Lookup button */
	"Do a ph query.",
	"Do an LDAP query.",
	"Do a directory service query.",
	"Do a ph query.  Disabled because you have not yet typed anything into the query field at the top of this window.",
	"Do an LDAP query.  Disabled because you have not yet typed anything into the query field at the top of this window.",
	"Do a directory service query.  Disabled because you have not yet typed anything into the query field at the top of this window.",

	/* Finger button */
	"Do a finger query.",
	"Do a finger query.  Disabled because you have not yet typed anything into the query field at the top of this window.",
	"Disabled because finger doesn't work with the Communications Toolbox.",

	/* Globe button */
	"Fetch a list of ph and LDAP servers.",

	/* To button */
	"Insert the selected addresses into the To: field.",
	"Insert the selected addresses into the To: field.  Disabled because you have not yet performed a query.",
	"Insert the selected addresses into the To: field.  Disabled because this doesn't work with finger.",

	/* Cc button */
	"Insert the selected addresses into the Cc: field.",
	"Insert the selected addresses into the Cc: field.  Disabled because you have not yet performed a query.",
	"Insert the selected addresses into the Cc: field.  Disabled because this doesn't work with finger.",

	/* Bcc button */
	"Insert the selected addresses into the Bcc: field.",
	"Insert the selected addresses into the Bcc: field.  Disabled because you have not yet performed a query.",
	"Insert the selected addresses into the Bcc: field.  Disabled because this doesn't work with finger.",

	/* query text */
	"Enter a name (or other ph query), then click the Lookup button or press return to do a ph query.",
	"Enter a name or email address here, and then click the Finger button or press return to do a finger query.\n\nYour SMTP server will be used for finger, unless you use the form user@host",
	"Enter a name (or other LDAP query), then click the Lookup button or press return to do an LDAP query.",
	"Enter a name, then click the Lookup button or press return to do a directory service query.",

	/* response text */
	"This is what the ph server said.",
	"This is what the finger server said.",
	"This is what the LDAP server said.",
	"This is what the directory service server said.",
}};

resource 'STR#' (25800,"Filter Help",purgeable) {{
	"Click to create a new filter.",
	"Click to remove the selected filter.",
	"The filter will be used on mail when it arrives in your In box.",
	"The filter will not be used on mail when it arrives in your In box.",
	"The filter will be used on mail after it is sent.",
	"The filter will not be used on mail after it is sent.",
	"The filter will be used when you choose Filter Messages from the Special menu.",
	"The filter will not be used when you choose Filter Messages from the Special menu.",
	"Your filters are listed here.  Click on one to display it.  Drag them to change their order of excecution (filters are run from the top of the list down).",
	"Type the name of the message header (eg, To:) here.\nAny Header means any of the message headers.\nAny Recipient means anyone the message was sent to.\nBody means the body of the message.",
	"Type the string youre looking for here.",
	"Grey because no filter is selected.",
	"Grey because only one term is in use.",
	"Will match if the header field named above contains the string to the right.\n\n(e.g., in From: sdorner@qualcomm.com, header From: contains sdorner.)",
	"Will match if the header field named above does not contain the string to the right.\n\n(e.g., in From: sdorner@qualcomm.com, header From: does not contain a life.)",
	"Will match if the header field named above is exactly the string on the right, no more, no less.\n\n(e.g., in From: sdorner@qualcomm.com, header From: is sdorner@qualcomm.com.)",
	"Will match if the header field named above differs at all from the string on the right.\n\n(e.g., in From: sdorner@qualcomm.com, header From: is not sdorner.)",
	"Will match if the header field named above starts with the string to the right.\n\n(e.g., in From: sdorner@qualcomm.com, header From: starts with sdorner.)",
	"Will match if the header field named above ends with the string to the right.\n\n(e.g., in From: sdorner@qualcomm.com, header From: ends with qualcomm.com.)",
	"Will match if the header field named above appears anywhere in the message header.",
	"Will match if the header field named above does not appear anywhere in the message header.",
	"Will match if the header field named above is the same as any of the addresses in the nickname named on the right.",
	"Will match if the header field named above contains none of the addresses in the nickname named on the right.",
	"Message will match if the first term (above) matches; the second term (below) is ignored.",
	"Both the first and second terms (above & below) must match for a message to match.",
	"Either or both the first and second terms (above & below) may match for a message to match.",
	"Message will match if the first term (above) matches but the second term (below) does not.",
	"This is the date this filter was last used on a message.",
	"Use the popup menu to select something else for this filter to do.",
	"This action will be taken when a message matches the criteria in the Match: section.",
}};


resource 'STR#' (25900,"Att Pop Help",purgeable) {{
	"Use this menu to determine how attachments will be sent.\n\n",
	"Documents will be sent with AppleDouble; best for recipients with MIME.",
	"Documents will be sent with AppleSingle; acceptable for sending applications or other Mac-specific files.",
	"Documents will be sent with BinHex; most compatible with old Mac mailers.",
	"Only the data fork of documents will be sent, with UUencode; best for communicating with archaic systems.",
}};

resource 'STR#' (31000,"Find Help",purgeable) {{
	"Find string in the current window.",
	"Check this to find the string only if it appears as a complete word.",
//	"Check this to find from end to beginning.  Doesn't work.",
	"Check this to pay attention to capitalization when finding.",
	"The string to look for.",
}};

resource 'STR#' (19300,"Search Help",purgeable) {{
	"Click to begin the search.",
	"Click to stop the search.",
	"Click to add another search term.",
	"Click to remove the last search term.",
	"Use the popup menu to specify how multiple search terms are used. All search terms must match if Match All is selected. Any search term may match if Match Any is selected.",
	"Check this to search only those messages that were found with the last search.",
	"Click to specify which mailboxes and mailfolders are searched.",
	"Click to display found messages.",
	"Use the popup menu to specify where to search "
		"in message contents, "
		"in message summaries (fastest search), "
		"or in message headers.",
	"Use the popup menu to specify how to search with the search string.",
	"Use the popup menu to specify what to search for.",
	"Enter the text to search for here.",
  "Select one or more mailboxes and/or mail folders to search.\nClick once to select. Command-Click, Shift-Click, or click and drag to select multiple items.",
	"Number of found messages.",
}};

resource 'STR#' (22000,"Import Help",purgeable) {{
  "This window displays email accounts in other programs Eudora can import.\nDouble-click an entry to import email messages, address books, filters, etc., from an account.",
  "Import the selected account(s) into Eudora.\nDimmed because none are selected.","Import the selected account(s) into Eudora.",
  "Select a folder by hand to import, if you don't see your account listed above.","Select a folder by hand to import, if you don't see your account listed above.",
  "Start over.  Select a different importer plugin and look for different files to import.","Start over.  Select a different importer plugin and look for different files to import.",
}};

#include "MacTcpErrors.r"
#include "HelpMenuDefs.hmnu"
#include "HelpDlogDefs.hdlg"
#include "HelpDlogDefs.strn"
#include "PrefDefs.strn"
#include "StringDefsH.strn"
#include "nick.r"

include "Help.rsrc" not 'ckid';
#include "HelpText.r"
//#ifndef LIGHT
//include "ProHelp.rsrc" not 'ckid';
//#else
//include "LightHelp.rsrc" not 'ckid';
//#endif

//#ifndef LIGHT
include "ToolbarIcons.rsrc" not 'ckid';
//#endif
